/* dojo/_base/json */
import dojo = require("./kernel");

declare module "./kernel" {
    interface Dojo {
        /**
         * Parses a JavaScript expression and returns a JavaScript value.
         */
        fromJson(js: string): any;

        _escapeString(value: any, replacer?: (key: string, value: any) => any | any[], space?: string | number): string;

        toJsonIndentStr: string;

        toJson(it: any, prettyPrint?: boolean): string;
    }
}

export = dojo;
