import { ElementOrString, GenericObject } from "./interfaces";

interface DomProp {
    /**
     * Gets a property on an HTML element.
     */
    get(node: ElementOrString, name: string): any;

    /**
     * Sets a property on an HTML element.
     */
    set(node: ElementOrString, name: string | GenericObject, value?: any): Element;
}

declare const domProp: DomProp;
export = domProp;
